ghemical (3.0.0-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Dec 2014 03:27:55 -0500

ghemical (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Dropped dpatch. Increased libghemical-dev
    and liboglappth-dev versions. Added chrpath.
    (Vcs-Browser): Point to real location.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/dirs: Renamed to debian/ghemical.dirs.
  * debian/docs: Renamed to debian/ghemical.docs.
  * debian/manpages: Renamed to debian/ghemical.manpages.
  * debian/menu: Renamed to debian/ghemical.menu.
  * debian/rules: Removed dpatch stuff. Remove rpath from binary.
  * debian/README.source: Dropped obsolete file.
  * debian/source/format: Added for source format 3.0 (quilt).
  * debian/patches/german_translation.dpatch: Dropped (applied upstream).
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 27 Nov 2011 20:19:27 +0100

ghemical (2.99.2-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/compat: Bumped dh compat level to 7.
  * debian/control (Build-Depends): Bumped dh version.
    (Standards-Version): Bumped to 3.8.4.
  * debian/ghemical.install: Added. Replaces the install hint in debian/rules.
  * debian/rules: Debhelper 7 rewrite.

  [ Michael Banck ]
  * debian/patches/german_translation.dpatch: Added (closes: #639322).
    - po/de.po: Adds german translation by Chris Leick <c.leick@vollbio.de>.
    - po/LINGUAS: Adjusted.
  * debian/patches/00list: Adjusted.
  * debian/control (Standards-Version): Bumped to 3.9.2. 

 -- Michael Banck <mbanck@debian.org>  Mon, 05 Sep 2011 19:02:09 +0200

ghemical (2.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Added intltool. Adjusted libghemical-dev version
    requirements.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/patches/gcc_43_fixes.dpatch: Dropped (applied upstream).
  * debian/patches/numeric_locale_C_required.dpatch: Ditto.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 23 Sep 2009 00:00:49 +0200

ghemical (2.98-2) unstable; urgency=low

  * Rebuild for unstable.

  * debian/control (Vcs-Svn): Set back to unstable location.
  * debian/copyright: Fixed license information (it's GPL2+).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 22 Feb 2009 03:01:23 +0100

ghemical (2.98-1) experimental; urgency=low

  * New upstream release 2.98.

  * debian/control (Build-Depends): Removed glutg3-dev. Increased versions for
    mopac7, libghemical and liboglappth.
    (Uploaders): Removed LI Daobing. Thanks for your work!
    (Standards-Version): Bumped to 3.8.0 (added README.source).
    (Vcs-Svn): Set to experimental location.
    (Depends): Added ${misc:Depends}.
  * debian/copyright: Updated and adjusted.
  * debian/rules: Minor cleanups.
    (config.status): Set build-type too. Remove F77.
  * debian/README.Debian: Updated for Xorg.
  * debian/README.source: Added to comply with policy.
  * debian/patches/447628_fix_spin_multiplicity_code.dpatch: Dropped (applied
    upstream).
  * debian/patches/numeric_locale_C_required.dpatch: Added.
    - src/project.cpp (ImportFile, ExportFile): Fix a bug observed exporting a
      file with a numeric locale != C.
  * debian/patches/gcc_43_fixes.dpatch: Added.
    - src/pangofont_wcl.cpp: Add missing headers to fix FTBFS with GCC 4.3.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 31 Jan 2009 17:59:26 +0100

ghemical (2.95-3) unstable; urgency=low

  * debian/control (Build-Depends): Fixed build-depends-on-1-revision lintian
    warning. s/refblas3-dev/libblas-dev and s/lapack3-dev/liblapack-dev
    transition and added gfortran (closes: #463948). Increased mopac7/mpqc and
    libghemical dependency.
    (Uploaders): Added myself.
    (XS-DM-Upload-Allowed): Removed XS- prefix as of dpkg 1.14.16.
  * debian/copyright: Fixed (obsolete national) encoding and added the missing
    Copyright field. Thanks to lintian.
  * debian/dirs: Removed directories we don't need to care about here.
  * debian/ghemical.1: Small improvements. Added missing options and
    references.
  * debian/ghemical.desktop: Updated to comply with fd.o specification.
  * debian/rules: Added noopt handling by defining CFLAGS/CXXFLAGS.
    (VERSION): Get the version automatically.
    (configure-stamp): Dropped in favour of config.status. gfortran
    transition (see #463948). Reorder variables to make configure remember
    them. Added CFLAGS/CXXFLAGS.
    (build): Use DESTDIR instead to "misuse" prefix.
    (build, binary-arch): Install the .desktop file via dh_install.
    (binary-arch): Removed useless debhelper script calls. Fixed dangling
    documentation symlink.
    (.PHONY): configure is a real file, not a PHONY target.
  * debian/patches/447628_fix_spin_multiplicity_code.dpatch: Added.
    - src/gtk_setup_dialog.cpp (gtk_setup_dialog): Set spin multiplicity to a
      fixed value of 1 (closes: #447628).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 Mar 2008 01:01:40 +0100

ghemical (2.95-2) unstable; urgency=low

  * debian/control (Build-Depends): Bumped libghemical-dev to 2.96-1,
    libopenbabel-dev to 2.1.1-1 and libmopac7-dev to 1.13-1;
    closes: #448170, #448433.
  * debian/control (XS-DM-Upload-Allowed): Added.
  * debian/control (Standards-Version): Updated to latest version 3.7.3.

 -- Michael Banck <mbanck@debian.org>  Fri, 11 Jan 2008 23:44:36 +0100

ghemical (2.95-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control: Added Homepage and Vcs-* fields.
    (Standards-Version): Updated to latest version 3.7.2.
  * debian/menu (section): Menu section transition.
  * debian/watch: Added.

  [ LI Daobing ]
  * debian/control:
    - add me as uploaders
    - build depends on debhelper (>= 5)
  * debian/rules: lintian doesn't like "-$(MAKE) clean", see bug#325372
  * debian/compat: added.
  * debian/ghemical.1: fix a typo, use \[:a].
  * debian/copyright: update FSF address.
  * debian/ghemical.desktop: add main category.

  [ Michael Banck ]
  * debian/control (Maintainer): Set to Debichem Team.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 23 Oct 2007 23:47:43 +0800

ghemical (2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/12_64bit_build_fix.dpatch: Removed, fixed upstream.
  * debian/patches/00list: Updated.
  * debian/control (Build-Depends): Bump libghemical Build-Depends to
    2.10-1.
  * debian/rules (VERSION): Bump to 2.10.

 -- Michael Banck <mbanck@debian.org>  Tue, 12 Sep 2006 12:53:38 +0200

ghemical (2.01-2) unstable; urgency=low

  * debian/patches/12_64bit_build_fix.dpatch: Reinstate parts which
    have not been applied upstream yet; closes: #341798, #378468.
  * debian/patches/00list: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Jul 2006 20:10:48 +0200

ghemical (2.01-1) unstable; urgency=low

  * New upstream release.
    + Fixes gcc-4.1 build error; closes: #367841.
  * debian/patches/09_Makefile_prefix.dpatch: Removed, applied upstream.
  * debian/patches/12_64bit_build_fix.dpatch: Likewise.
  * debian/patches/13_openbabel-2.0.dpatch: Likewise.
  * debian/patches/90_config_guess_sub: Likewise.
  * debian/patches/91_aclocal_configure: Likewise.
  * debian/patches/00list: Updated.
  * debian/control (Build-Depends): Bump libghemical-dev to (>= 2.00-1).
  * debian/rules (install): Do not install bin/ghemical.png, it is not
    in the upstream tarball.
  * debian/rules (VERSION): Bumped to 2.01.
  * debian/rules (install): Add ${VERSION} to the path of the examples
    when moving them over to /usr/share/doc/ghemical/examples.
  * debian/rules (configure-stamp): Add --enable-openbabel.
  * debian/patches/11_glut_init.dpatch: Removed, makes ghemical crash on
    startup.
  * debian/patches/00list: Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Jul 2006 23:49:38 +0200

ghemical (1.91-3) unstable; urgency=low

  * Sync with Ubuntu.
    + Fixes compilation on 64bit arches; closes: #341798.
  * debian/patches/13_openbabel-2.0.dpatch: New file, porting ghemical
    to OpenBabel-2.0; closes: #358777.
  * debian/patches/91_aclocal_configure.dpatch: Regenerated.
  * debian/control (Build-Depends): Change libopenbabel-dev to 2.0.0-1 and
    libghemical-dev to 1.91-2.
  * debian/control (Standards-Version): Bumped to 3.6.2.
  * debian/menu: Quote `needs' and `section' entries.

 -- Michael Banck <mbanck@debian.org>  Sat,  1 Apr 2006 18:52:15 +0200

ghemical (1.91-2ubuntu2) dapper; urgency=low

  * debian/patches/12_64bit_build_fix.dpatch: New file. Fixes Malone Bug
    #36421.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri, 24 Mar 2006 18:17:16 +0100

ghemical (1.91-2ubuntu1) dapper; urgency=low

  * debian/ghemical.desktop: added Version, Encoding, Name[nl], 
    GenericName[nl], Categories=Science;Chemistry;GTK;, replaced 
    Description with GenericName, Terminal=0 with Terminal=false, 
    absolute icon path with relative icon path. Closes: malone #5643.
    (thanks to Jeroen van Splunder for the patch)

 -- Benjamin Montgomery <bmontgom@montynet.org>  Tue, 10 Jan 2006 13:54:08 -0600

ghemical (1.91-2) unstable; urgency=low

  * debian/patches/11_glut_init.dpatch: New file.  Fixes Malone 
    Bug #5459.
  * debian/patches/00list (11_glut_init): Added.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Dec 2005 10:10:29 +0100

ghemical (1.91-1) unstable; urgency=low

  * New upstream release. 
    + No longer segfaults when drawing atoms; closes: #338899.
    + Adds correct number of hydrogens to nitrogen atoms;  
      closes: #273314.
  * Sync with Ubuntu.
  * debian/rules (configure-stamp): Removed obsolete --enable-mpqc 
    option.
  * debian/control (Build-Depends): Add versioned Build-Depends on
    libghemical-dev 1.91-1, libsc-dev 2.3.0-1 and libopenbabel-dev 
    1.100.2-4 for the C++ allocator transition.
  * debian/control (Build-Depends): Added pkg-config.
  * debian/patches/07_object_protected: Removed, no longer needed.
  * debian/patches/08_gcc-4.0: Likewise.
  * debian/patches/10_64bit_glu_fix: Likewise.
  * debian/patches/91_aclocal_configure: Regenerated.
  * debian/rules (configure-stamp): Explicitely tell configure where
    pkg-config is located by adding PKG_CONFIG to its environment.
  * debian/rules (configure-stamp): Add --enable-threads to configure
    arguments.

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Nov 2005 00:56:11 +0100

ghemical (1.90-2ubuntu1) breezy; urgency=low

  * debian/control: added libmopac7-dev to build-deps to build properly

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 8 Oct 2005 17:58:30 +0200 

ghemical (1.90-2) unstable; urgency=low

  * debian/patches/10_64bit_glu_fix.dpatch: New patch by Mark Hymers;
    closes: #322750
  * debian/patches/00list (10_64bit_glu_fix): Added. 

 -- Michael Banck <mbanck@debian.org>  Thu,  6 Oct 2005 02:01:48 +0200

ghemical (1.90-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Build-Depends): Replaced gtkglarea5-dev with
    libgtkglext1-dev, libgnome-dev with libgtk2.0-dev and libglade-gnome0-dev
    with libglade2-dev.
  * debian/patches/08_gcc-4.0.dpatch: Updated with another fix for 1.90 from
    CVS.
  * debian/patches/09_Makefile_prefix.dpatch: New patch.
  * debian/patches/00list (09_Makefile_prefix): Added.
  * debian/patches/91_aclocal_configure.dpatch: New patch.
  * debian/patches/00list (91_aclocal_configure): Added.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Sep 2005 13:00:03 +0200

ghemical (1.51-1) unstable; urgency=low

  * New upstream release; closes: #320921.
    + Rebuilt again libopenbabel0c2; closes: #320922.
  * debian/patches/00list (06_handle_locale): Dropped, applied
    upstream.
  * debian/patches/00list (04_link_openbabel): Likewise.
  * debian/patches/07_object_protected.dpatch: New file; closes: #268459.
  * debian/patches/00list (07_object_protected): Added.
  * debian/patches/08_gcc-4.0.dpatch: New file; closes: #286784.
  * debian/patches/00list (08_gcc-4.0): Added.
  * debian/control (Build-Depends): Replaced blas-dev and lapack-dev
    with refblas3-dev and lapack3-dev; closes: #320440.
  * debian/control (Build-Depends): Added libghemical-dev.
  * debian/control (Build-Depends): Removed f2c.
  * debian/docs: Removed PROJECT and BUGLIST.
  * debian/rules (dh_installchangelogs): Replaced CHANGES with
    ChangeLog.
  * debian/patches/90_config_guess_sub.dpatch: New file; closes: #321745.
  * debian/patches/00list (90_config_guess_sub): Added.

 -- Michael Banck <mbanck@debian.org>  Sat,  2 Jul 2005 17:08:38 +0200

ghemical (1.01-2) unstable; urgency=medium

  * Priority medium to make the sarge freeze.
  * Rebuilt against current libsc-dev.

 -- Michael Banck <mbanck@debian.org>  Wed, 18 Aug 2004 02:55:27 +0200

ghemical (1.01-1) unstable; urgency=low

  * New upstream release.
    - Rebuilt against current libsc-dev; closes: #238870.
  * debian/patches/00list (01_rtti_dynamic_cast): Dropped,
    applied upstream.
  * debian/control (Build-Depends): Added libopenbabel-dev.
  * 04_link_openbabel.dpatch: New file, changing:
    - Makefile.in (SRCDIRS): Removed openbabel.
    - src/target3/Makefile.in (INCS): Use libopenbabel-dev's includes instead
      of the ones duplicated in the source tree.
    - src/common/Makefile.in: Likewise.
    - src/graphics/Makefile.in: Likewise.
    - src/common/filetrans.cpp: Change openbabel includes from "foo" to <foo>.
    - src/common/mm1mdl.h: Likewise.
    - src/graphics/docview.cpp: Update #include "Vector.h" to <match/vector3>.
      (float measure_ang): Updated for openbabel-1.100.1.
      (float measure_tor): Likewise.
    - (LIBS): Link to libopenbabel-dev's shared library instead of building
      libopenbabel.a out of the source tree.
  * debian/patches/00list (04_link_openbabel): Added.
  * debian/patches/00list (03_openbabel_LIBS): Dropped.
  * debian/README.Debian: Updated email address.
  * 06_unset_LC_NUMERIC.dpatch: New file, changing:
    - src/target3/t3main.cpp (main): Reset LC_NUMERIC to 'C'.
  * debian/patches/00list (06_unset_LC_NUMERIC): Added.
  * debian/control (Description): Removed last paragraph. 

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Mar 2004 16:00:22 +0100

ghemical (1.00-2) unstable; urgency=low

  * Rebuilt against current (gcc-3.2) libsc-dev; closes: #181599
  * Commented out #include <gnome.h> in src/target3/t3views.h,
    see #182251
  * Applied patch removing all dynamic casts (but one) which caused
    segfaults with gcc-3.2. Many thanks to Tommi Hassinen
  * Moved menu entry from Math to Science section; closes: #185726
  * Removed the comment about mpqc from README.Debian, we have
    support for it since 0.82-3 actually
  * Moved package from science section to gnome
  * Adjusted $VERSION variable in debian/rules
  * Switched to dpatch

 -- Michael Banck <mbanck@debian.org>  Wed,  7 May 2003 16:31:14 +0200

ghemical (1.00-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: on libglade-gnome0-dev now
  * Changed long description to reflect the inclusion of mpqc 

 -- Michael Banck <mbanck@debian.org>  Tue, 17 Dec 2002 17:37:33 +0100

ghemical (0.82-3) unstable; urgency=low

  * Applied patch porting ghemical to mpqc-2.x.x. Many thanks
    to Tommi Hassinen
  * Build-Depends: on libsc-dev and Depends: on mpqc now
  * Corrected manual-symlink to /usr/share/gnome/help/ghemical/C;
    closes: #150690
  * Changed Maintainer email address
  * Removed Emacs-variables from Debian changelog
  * Bumped Standards-Version to 3.5.6.1

 -- Michael Banck <mbanck@debian.org>  Mon, 16 Sep 2002 23:09:19 +0200

ghemical (0.82-1) unstable; urgency=low

  * New upstream release; closes: #134042
  * Removed substvars.local, it did not install on alpha at least.
    Hopefully nobody will have problems WRT gtkglarea5 this time 

 -- Michael Banck <mbanck@gmx.net>  Fri, 22 Feb 2002 23:26:26 +0100

ghemical (0.81-3) unstable; urgency=low

  * Added versionend Depends: on gtkglarea5 as it is lacking
    a proper shlibs-file; closes #122977
  * Added a GNOME menu-hint
  * Put the provided icon in /usr/share/pixmaps

 -- Michael Banck <mbanck@gmx.net>  Sun,  9 Dec 2001 12:23:03 +0100

ghemical (0.81-2) unstable; urgency=low

  * Documented the glx-problem in README.Debian. You have to
    uncomment  'Load       "glx"' in your /etc/X11/XF86Config-4
    in order to get ghemical running
  * Patched src/target3/t3views.cpp to bomb out (with a slightly
    more informative message) if glx is not present
  * Made configure.in look for -lf2c if it does not find -lg2c. 
    If both are not present, bomb out

 -- Michael Banck <mbanck@gmx.net>  Thu,  6 Dec 2001 23:16:46 +0100

ghemical (0.81-1) unstable; urgency=low

  * Initial Release; closes: #121296
  * No mpqc-support yet, ghemical needs to be ported to mpqc-2.0.0 

 -- Michael Banck <mbanck@gmx.net>  Sat, 24 Nov 2001 08:54:38 +0100
